import numpy as np
import h5py
import matplotlib.pyplot as plt

# set name of file and grid
filename='GPMCOR_DPR_1407_M_D3M_06A.h5'
folder='/Grids'
grid='/G1'

if grid=='/G1':
    spres=5.0
    xnum=72
    ynum=28
if grid=='/G2':
    spres=0.25
    xnum=1440
    ynum=536

with h5py.File(filename,"r") as infile: 
    snowRateNSurf=np.array(infile[folder+grid+'/snowRateNearSurface/mean']).T 
    # see file specification guide about the directories and parameters
    # note the sort of array element is inverted to as in file specification
# in this program
    # that is the reason of transpose matrix method ".T"

print('snowRateNearSurface/mean at[5,47,0,0,0]={0}'.format(snowRateNSurf[5,47,0,0,0]))

